org.eclipse.cdt.core.dom.ast.c

## Interface ICCompositeTypeScope

All Superinterfaces:
  ICScope, IScope

    public interface ICCompositeTypeScope
    extends ICScope

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IScope

`IScope.ScopeLookupData`

### Method Summary

All Methods Instance Methods Abstract Methods
`IBinding` `getBinding(char[] name)` Returns the binding for the member that has been previous added to this scope and that matches the given name.
`ICompositeType` `getCompositeType()` Returns the type this scope is associated with.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IScope

`find, find, getBinding, getBinding, getBindings, getBindings, getBindings, getKind, getParent, getScopeName`

### Method Detail

#### getBinding

    IBinding getBinding(char[] name)

Returns the binding for the member that has been previous added to this scope and that matches the given name.

#### getCompositeType

    ICompositeType getCompositeType()

Returns the type this scope is associated with.

Since:
  4.0